package com.ycwl.basic.model.pc.order.req;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ycwl.basic.model.common.BaseQueryParameterReq;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @Author：longbinbin
 * @Date：2024/11/29 16:33
 */
@Data
@ApiModel(value = "订单查询对象")
public class OrderReqQuery extends BaseQueryParameterReq {
    private Long id;
    private Long scenicId;
    private Long memberId;
    @ApiModelProperty("用户昵称")
    private String memberNickname;
    @ApiModelProperty("用户真实名称")
    private String memberRealName;
    /**
     * 微信openId
     */
    @ApiModelProperty("微信openId")
    private Long openId;
    /**
     * 价格
     */
    @ApiModelProperty("价格")
    private BigDecimal price;
    /**
     * 实际支付价格
     */
    @ApiModelProperty("实际支付价格")
    private BigDecimal payPrice;
    /**
     * 备注
     */
    @ApiModelProperty("备注")
    private String remark;
    /**
     * 推客id
     */
    @ApiModelProperty("推客id")
    private Long brokerId;
    /**
     * 推客优惠码
     */
    @ApiModelProperty("推客优惠码")
    private String promoCode;
    /**
     * 退款原因
     */
    @ApiModelProperty("退款原因")
    private String refundReason;
    /**
     * 退款状态，0未提出，1已通过，2待审核
     */
    @ApiModelProperty("退款状态，0未提出，1已通过，2待审核")
    private Integer refundStatus;
    /**
     * 状态，0未支付，1已支付，2已退款，9已取消
     */
    @ApiModelProperty("状态，0未支付，1已支付，2已退款，9已取消")
    private Integer status;
    /**
     * 订单创建时间
     */
    @ApiModelProperty("订单创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date startCreateTime;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date endCreateTime;
    /**
     * 订单支付时间
     */
    @ApiModelProperty("订单支付时间")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date startPayTime;
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date endPayTime;
    /**
     * 订单取消时间
     */
    @ApiModelProperty("订单取消时间")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date startCancelTime;
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date endCancelTime;
    /**
     * 订单退款时间
     */
    @ApiModelProperty("订单退款时间")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date startRefundTime;
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date endRefundTime;

    @ApiModelProperty("订单类型 0成片（vlog） 1原片 2照片")
    private Integer type;
}
