package com.ycwl.basic.model.pc.source.resp;

import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @Author：longbinbin
 * @Date：2024/12/02 11:29
 * 视频源
 */
@Data
@ApiModel(value = "视频源响应对象")
public class SourceRespVO {
    @TableId
    private Long id;
    /**
     * 景区id
     */
    @ApiModelProperty("景区id")
    private Long scenicId;
    @ApiModelProperty("景区名称")
    private String scenicName;
    @ApiModelProperty("经度")
    private BigDecimal longitude;
    @ApiModelProperty("纬度")
    private BigDecimal latitude;
    /**
     * 来源设备id
     */
    @ApiModelProperty("来源设备id")
    private Long deviceId;
    private String deviceName;
    private Long faceId;
    @ApiModelProperty("原素材类型：1视频，2图像")
    private Integer type;
    /**
     * 文件存储地址
     */
    @ApiModelProperty("图片文件存储地址")
    private String url;
    @ApiModelProperty("视频文件存储地址")
    private String videoUrl;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;
    @ApiModelProperty("是否购买：0未购买，1已购买")
    private Integer isBuy;
}
